import path from "path";
import { z } from "zod";
import { promises as fs } from "fs";
import { taskSchema } from "./data/schema";
import { columns } from "./components/columns";
import { DataTable } from "./components/data-table";

// Simulate a database read for tasks.
async function getTasks() {
  const data = await fs.readFile(
    path.join(process.cwd(), "src/app/(app)/problems/examples/data/tasks.json")
  );

  const tasks = JSON.parse(data.toString());

  return z.array(taskSchema).parse(tasks);
}

export default async function ProblemExamplePage() {
  const tasks = await getTasks();

  return (
    <div className="hidden h-full flex-1 flex-col space-y-8 p-8 md:flex">
      <DataTable data={tasks} columns={columns} />
    </div>
  );
}
